Bug 295341 - kernel panic when booting with kernel 2.6.9-55.0.6.ELsmp
kernel panic when booting with kernel 2.6.9-55.0.6.ELsmp
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 15:15 EDT by Jean-Francois Bertrand
Modified: 2008-04-15 13:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-15 13:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Francois Bertrand 2007-09-18 15:15:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6

Description of problem:
My IBM x306 system is having problem booting with the latest redHat enterprise 4 update 5 kernel 2.6.9-55.0.6.ELsmp as the boot process systematically terminates with a kernel panic.  

My system is up-to-date with the latest redHat update as I ran 'up2date --update' and  'up2date --force --update' to update all packages on my system.



Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-55.0.6.EL 

How reproducible:
Always


Steps to Reproduce:
1.install redHat enterprise 4 update 5 on an IBM X306
2.run up2date --force --update
3.reboot

Actual Results:
The boot process terminates with the following messages:

Freeing unused kernel memory: 208k freed
red hat nash version 4.2.1.10 starting
Mounted /proc filesystem
Mounting sysfs
Creating /dev
Starting udev
Loading jbd.ko module
Loading ext3.ko module
Creating root device
mkrootdev: label / not found
Mounting root filesystem
mount: error 2 mounting ext3
mount: error 2 mounting none
Switching to new root
switchroot: mount failed: 22
umoun /initrd/dev failed: 22
kernel panic - not syncing: Attempted to kill init!

Expected Results:
The system would boot properly and result in a running server.

Additional info:
# cat /etc/redhat-release 
Red Hat Enterprise Linux WS release 4 (Nahant Update 5)

# cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 1
cpu MHz         : 3000.260
cache size      : 1024 KB
physical id     : 0
siblings        : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm pni monitor ds_cpl cid cx16 xtpr
bogomips        : 5898.24
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 4
model name      :               Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping        : 1
cpu MHz         : 3000.260
cache size      : 1024 KB
physical id     : 0
siblings        : 2
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm pni monitor ds_cpl cid cx16 xtpr
bogomips        : 5996.54
clflush size    : 64
cache_alignment : 128
address sizes   : 36 bits physical, 48 bits virtual
power management:
# cat /proc/meminfo 
MemTotal:      2058636 kB
MemFree:       1898264 kB
Buffers:         10544 kB
Cached:          66704 kB
SwapCached:          0 kB
Active:          86072 kB
Inactive:        39992 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:      2058636 kB
LowFree:       1898264 kB
Comment 1 Jean-Francois Bertrand 2007-09-18 15:23:21 EDT
Also note that this problem was also present with 2.6.9-55.0.2.ELsmp.  Booting
with the non-smp kernel have the same result.
Comment 2 Prarit Bhargava 2007-09-19 09:38:35 EDT
Jean-Francois -- could you boot with "debug" instead of "quiet" on the command
line and post the boot log here?

Thanks,

P.
Comment 3 Jean-Francois Bertrand 2007-09-19 10:58:37 EDT
I added debug to menu.lst file and got the exact same logs.  Please let me know
if the grub syntax is incorrect.

Here is the content of /etc/fstab and /boot/grub/menu.lst:

/etc/fstab:
# This file is edited by fstab-sync - see 'man fstab-sync' for details
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /dev/shm                tmpfs   defaults        0 0
none                    /proc                   proc    defaults        0 0
none                    /sys                    sysfs   defaults        0 0
LABEL=SWAP-hda2         swap                    swap    defaults        0 0
/dev/hdc                /media/cdrom            auto   
pamconsole,exec,noauto,managed 0 0

/boot/grub/menu.lst
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/hda3
#          initrd /initrd-version.img
#boot=/dev/hda
default=1
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux WS (2.6.9-55.0.6.EL)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-55.0.6.EL ro root=LABEL=/
        initrd /initrd-2.6.9-55.0.6.EL.img
title Red Hat Enterprise Linux WS (2.6.9-55.0.6.ELsmp)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-55.0.6.ELsmp ro root=LABEL=/ debug
        initrd /initrd-2.6.9-55.0.6.ELsmp.img
title Red Hat Enterprise Linux WS (2.6.9-55.0.2.EL.bworks)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-55.0.2.EL.bworks ro root=LABEL=/
        initrd /initrd-2.6.9-55.0.2.EL.bworks.img
title Red Hat Enterprise Linux WS (2.6.9-55.0.2.EL.bworkssmp)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-55.0.2.EL.bworkssmp ro root=LABEL=/
        initrd /initrd-2.6.9-55.0.2.EL.bworkssmp.img
title Red Hat Enterprise Linux WS (2.6.9-5.ELsmp)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-5.ELsmp ro root=LABEL=/
        initrd /initrd-2.6.9-5.ELsmp.img
title Red Hat Enterprise Linux WS-up (2.6.9-5.EL)
        root (hd0,0)
        kernel /vmlinuz-2.6.9-5.EL ro root=LABEL=/
        initrd /initrd-2.6.9-5.EL.img

Let me know if you need more information.
/JF
Comment 4 Prarit Bhargava 2007-09-19 11:38:05 EDT
Ah -- can you hook up the system to serial port to capture the boot log?

P.
Comment 5 Jean-Francois Bertrand 2007-09-19 14:30:10 EDT
Strangely, we are not able to get all logs in hyperterm, but only some of them.
 Anyway, here is what I could get from the console port:

Booting 'Red Hat Enterprise Linux WS (2.6.9-55.0.6.ELsmp)'

root (hd0,0)
 Filesystem type is

On the regular screen, the same logs as before were seen (see actual results).

What else can I do to gather boot logs?
Comment 6 Jean-Francois Bertrand 2007-09-24 11:18:39 EDT
Let me know what other information I can gather to help you troubleshooting this
bug.  Since we are delivering our software on RedHat Enterprise Linux 4, we
really need to resolve this issue.

thanks a lot.
/JF
Comment 7 Ernie Petrides 2007-09-27 18:33:39 EDT
Hello, Jean-Francois.  We need the console output (produced by the kernel)
before the "Freeing unused kernel memory: ..." message is displayed.  This
will likely provide a clue as to why the disk device initialization failed,
which in turn is likely why the root device could not be mounted.

Note You need to log in before you can comment on or make changes to this bug.